Subject: bug#11000: closed (Re: bug#11000: 24.0.94; Caching '--dired' is a bad idea)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 24 Mar 2013 12:04:01 +0000

Your bug report

#11000: 24.0.94; Caching '--dired' is a bad idea

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
11000: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11000
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#11000: 24.0.94; Caching '--dired' is a bad idea
From: Leo Liu <[email-masked]>
To: [email-masked]
Date: Sun, 24 Mar 2013 20:01:30 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Not a bug.

Subject: 24.0.94; Caching '--dired' is a bad idea
From: Leo <[email-masked]>
To: [email-masked]
Date: Mon, 12 Mar 2012 19:45:52 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

If I change insert-directory-program from one supports --dired to one
not, I can no longer open any directory in dired-mode. For example on
OSX, I have the `ls' from BSD and another one from GNU coreutils
installed as `gls', not to mention opening remote directories.

I think caching --dired switch in dired-use-ls-dired is a bad idea.

Leo